import * as $dara from '@darabonba/typescript';
export declare class DescribeIPv6TranslatorsResponseBodyIpv6TranslatorsIpv6TranslatorIpv6TranslatorEntryIds extends $dara.Model {
    ipv6TranslatorEntryId?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeIPv6TranslatorsResponseBodyIpv6TranslatorsIpv6Translator extends $dara.Model {
    allocateIpv4Addr?: string;
    allocateIpv6Addr?: string;
    availableBandwidth?: string;
    bandwidth?: number;
    businessStatus?: string;
    createTime?: number;
    description?: string;
    endTime?: number;
    ipv6TranslatorEntryIds?: DescribeIPv6TranslatorsResponseBodyIpv6TranslatorsIpv6TranslatorIpv6TranslatorEntryIds;
    ipv6TranslatorId?: string;
    name?: string;
    payType?: string;
    regionId?: string;
    spec?: string;
    status?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeIPv6TranslatorsResponseBodyIpv6Translators extends $dara.Model {
    ipv6Translator?: DescribeIPv6TranslatorsResponseBodyIpv6TranslatorsIpv6Translator[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeIPv6TranslatorsResponseBody extends $dara.Model {
    ipv6Translators?: DescribeIPv6TranslatorsResponseBodyIpv6Translators;
    /**
     * @remarks
     * The page number of the returned page.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @remarks
     * The number of entries returned per page.
     *
     * @example
     * 10
     */
    pageSize?: number;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 54B48E3D-DF70-471B-AA93-08E683A1B45
     */
    requestId?: string;
    /**
     * @remarks
     * The number of returned entries.
     *
     * @example
     * 1
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
